> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iolokis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Patient Note

> Create a new note for a specific patient.



## OpenAPI

````yaml POST /notes
openapi: 3.1.0
info:
  title: IOLOKIS API
  description: You can use the REST API to manage your IOLOKIS account and resources.
  version: 1.0.0
servers:
  - url: https://api.iolokis.com
security:
  - bearerAuth: []
paths:
  /notes:
    post:
      description: Create a new note for a specific patient.
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewNote'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewNoteResponse'
        '400':
          description: Invalid input.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    NewNote:
      type: object
      required:
        - content
        - patient_id
      properties:
        content:
          type: string
        patient_id:
          type: string
          format: uuid
    NewNoteResponse:
      type: object
      required:
        - data
        - message
      properties:
        data:
          $ref: '#/components/schemas/Note'
        message:
          type: string
          description: Note created successfully.
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message indicating the error
      required:
        - error
    Note:
      type: object
      required:
        - id
        - content
        - original_content
        - patient_id
        - doctor_id
        - created_at
        - updated_at
      properties:
        id:
          type: integer
        content:
          type: string
        original_content:
          type: string
        patient_id:
          type: string
          format: uuid
        doctor_id:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````